<?php 
require_once 'main.php';
require_once 'header.php';

$op=$_GET['op'];
$aid=$admininfo['0']['aid'];
switch ($op) {
	case 'add':
		if ($admininfo['0']['allow_manage_issue_types']==1) 
		{
			$tycode=$tytitle=$tycomments="";
			$form_title="افزودن رسته جدید";


			if (isset($_POST['add'])) 
			{
				$tycode=$_POST['tycode'];
				if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $tycode)==1 || strpos($tycode, " ")!==false) {
						$error="کد رسته مجاز نیست";
					}
				$tytitle=$_POST['tytitle'];
				$tycomments=htmlspecialchars($_POST['tycomments']);

				$issuetypelist = $issuetype->GetInfo("tycode",$tycode);
				//Tycode validation
				if(count($issuetypelist)> 0)
				   $error= "کد رسته تکراری است";
			
				//Required Fields validation
				if (empty($tycode) || empty($tytitle)) 
					$error="لطفا فیلدهای الزامی را پر نمایید";
				
				
				if ($error==="") 
				{
			
					if($issuetype->Add($aid ,$tycode ,$tytitle ,$tycomments)==1)
					{
						$success="یک رکورد با موفقیت اضافه شد";
						$tycode=$tytitle=$tycomments="";
					}
					else
					{
						$error="متاسفانه مشکلی در افزودن این رکورد به وجود آمده است";
					}
				}
				
			}


			elseif (isset($_POST['edit'])) 
			{
				
					$tyid=sprintf("%d",$_GET['tyid']);
					$tycode=$_POST['tycode'];
					if (preg_match('/^[اآبپتثئجچحخدذرزژسشصضطظعغفقکگلمنوهی\s]+$/', $tycode)==1 || strpos($tycode, " ")!==false) {
						$error="کد رسته مجاز نیست";
					}
					$tytitle=$_POST['tytitle'];
					$tycomments=htmlspecialchars($_POST['tycomments']);
					$issuetypelist = $issuetype->GetInfo("tycode",$tycode);
					

					
					//Required Fields validation
					if (empty($tycode) || empty($tytitle)) 
						$error="لطفا فیلدهای الزامی را پر نمایید";

									
					if ($error==="") 
					{
					
						if($issuetype->Update($tycode ,$tytitle ,$tycomments ,$tyid)==1)
						{
							$success="یک رکورد با موفقیت ویرایش شد";
							$tycode=$tytitle=$tycomments="";
						}
						else
							$error="متاسفانه مشکلی در ویرایش این رکورد به وجود آمده است";
							
					}
			}


			elseif (isset($_GET['tyid'])) 
			{
				# Show Update Form...
				$form_title="ویرایش رسته";
				$tyid=sprintf("%d",$_GET['tyid']);
				$issuetypeInfo = $issuetype->GetInfo("tyid",$tyid);
				$tycode=$issuetypeInfo['0']['tycode'];
				$tytitle=$issuetypeInfo['0']['tytitle'];
				$tycomments=$issuetypeInfo['0']['tycomments'];
			}

			if (!empty($error)) 
				Failure($error);
			
			if (!empty($success)) 
				Success($success);

			echo '
			<div class="path form-group col-md-12 col-sm-12">رسته ها <i class="fa fa-angle-double-left" aria-hidden="true"></i> <a href="issue-types.php?op=add">مدیریت رسته ها</a></div>
			<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
			<center><h4>'.$form_title.'</h4></center>
			</div>';
			echo '
				<form action="" method="post" class="" >
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="tycode">کد رسته<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control ltr" id="tycode" name="tycode" autofocus value="'.$tycode.'">
				 		<small class="done">&nbsp;<i class="fa fa-info-circle" aria-hidden="true"></i>&nbsp;کد سته غیرتکراری، با حروف لاتین و بدون فاصله تایپ شود.<br></small>
					</div>
					<div class="form-group col-md-6 col-sm-12 col-xs-12">
				 		<label for="tytitle">عنوان رسته<span class="required"> *</span>:</label>
				 		<input type="text" class="form-control " id="tytitle" name="tytitle" autofocus value="'.$tytitle.'">
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<label for="tycomments"> یادداشت:</label><br>
						<textarea id="tycomments" name="tycomments" rows="5" class="form-control">'.$tycomments.'</textarea>
					</div>
					<div class="form-group col-md-12 col-sm-12 col-xs-12">
						<center>
							'.(isset($_GET['tyid'])?
							'<button type="submit" class="btn btn-info" name="edit"> ویرایش</button>':
							'<button type="submit" class="btn btn-success" name="add"> افزودن</button>').'
						</center>
					</div>
				</form><hr>
				<div class="form-group col-md-4 col-md-pull-4 col-sm-12 col-xs-12">
				<div class="indexframe1 form-group col-md-12 col-sm-12 col-xs-12">
					<h5 class="text-center">لیست نام (کد) رسته های موجود:</h5>
				</div>
					<a href="issue-types.php?op=add"><i class="fa fa-plus green" aria-hidden="true"></i> افزودن رسته جدید</a><br>
			';
			$issuetypeslist=$issuetype->GetList();
			foreach ($issuetypeslist as $issuetypename) 
			{
				echo '<i class="fa fa-slack" aria-hidden="true"></i>&nbsp;<a href="issue-types.php?op=add&tyid='.$issuetypename['tyid'].'">&nbsp; '.$issuetypename['tytitle'].' ('.$issuetypename['tycode'].')</a> <a href="issue-types.php?op=add&tyid='.$issuetypename['tyid'].'">&nbsp;<span class="green glyphicon glyphicon-edit"></span></a>&nbsp;<a onclick="return Sure();" href="issue-types.php?op=delete&tyid='.$issuetypename['tyid'].'"><span class="red glyphicon glyphicon-minus-sign"></span></a><br>';
			}
			echo '</div>';
		}
		//Manage IssueTypes Access Denied
		else
		{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
		}
		break;
	
	
	case 'delete':

	if ($admininfo['0']['allow_manage_issue_types']==1) 
	{
		if (isset($_GET['tyid'])) 
		{
			$tyid=sprintf("%d",$_GET['tyid']);
			if($issuetype->Delete($tyid)==1)
			{
				Success("رکورد مورد نظر با موفقیت حذف شد");
				echo'
				<a href="issue-types.php?op=add">بازگشت</a>';
			}
			else{
				Failure("متاسفانه مشکلی در حذف رکورد مورد نظر بوجود آمد");
				echo'
				<a href="issue-types.php?op=add">بازگشت</a>';
			}

		}

	}
	//Manage IssueTypes Access Denied
	else
	{
		$error="دسترسی شما به این قسمت امکان پذیر نیست";	
		Failure("$error");
	}
	break;

	default:
		$error="صفحه مورد نظر یافت نشد";	
		Failure("$error");
		break;
}
include_once 'footer.php';
 ?>